## libextractor 1.11

=== debian/changelog ===
libextractor (1:1.11-2) sid; urgency=medium

  * Uploading to sid.
  * New maintainer, thank you Marc for all your work.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 07:16:34 +0100

libextractor (1:1.11-1) unstable; urgency=medium

  * New upstream version 1.11.
  * Drop debian/patches, both are included upstream.

 -- Bertrand Marc <bmarc@debian.org>  Sat, 06 Feb 2021 17:52:49 +0100

libextractor (1:1.10-2) unstable; urgency=medium

  * Add a patch taken upstream to fix test failure with latest exiv2
    library (Closes: #971164).
  * Disable apparmor support on !linux archs, thanks to Pino Toscano
    (Closes: #968522).
  * Fix typos in debian/control: recommend libextractor-plugins-all
    instead of libextractor-plugin-all, thanks to John Scott (Closes:
    #971877).

 -- Bertrand Marc <bmarc@debian.org>  Fri, 30 Oct 2020 18:34:34 +0100
