=== debian/control ===
Source: libextractor
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 autopoint,
 debhelper-compat (= 13),
 libapparmor-dev [linux-any],
 libarchive-dev,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libbz2-dev,
 libexiv2-dev,
 libflac-dev,
 libgdk-pixbuf2.0-dev (>= 2.4),
 libgif-dev,
 libglib2.0-dev,
 libgsf-1-dev,
 libgstreamer-plugins-base1.0-dev,
 libjpeg-dev,
 libmagic-dev,
 libmagick-dev,
 libmpeg2-4-dev,
 libogg-dev,
 librpm-dev,
 libsmf-dev,
 libswscale-dev,
 libtidy-dev,
 libtiff-dev,
 libvorbis-dev,
 pkg-config,
 texinfo,
 zlib1g-dev
Standards-Version: 4.5.0
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libextractor
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libextractor
Homepage: https://www.gnu.org/software/libextractor/
Rules-Requires-Root: no

Package: libextractor3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libextractor-plugins-misc | libextractor-plugins
Suggests:
 libextractor-java,
 libextractor-plugins-all,
 python3-extractor
Replaces:
 extract (<< 1:1.9-4~)
Breaks:
 extract (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (library)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 Currently, libextractor supports the following formats: HTML, MAN, PS, DVI,
 OLE2 (DOC, XLS, PPT), OpenOffice (sxw), StarOffice (sdw), FLAC,
 MP3 (ID3v1 and ID3v2), OGG, WAV, S3M (Scream Tracker 3), XM (eXtended Module),
 IT (Impulse Tracker), NSF(E) (NES music), SID (C64 music), EXIV2, JPEG, GIF,
 PNG, TIFF, DEB, RPM, TAR(.GZ), LZH, LHA, RAR, ZIP, CAB, 7-ZIP, AR, MTREE, PAX,
 CPIO, ISO9660, SHAR, RAW, XAR, FLV, REAL, RIFF (AVI), MPEG, QT and ASF.
 .
 Also, various additional MIME types are detected. It can also be used to
 compute hash functions (SHA-1, MD5, ripemd160).
 .
 This package contains the library and all plugins.

Package: libextractor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libextractor3 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 extract (<< 1:1.9-4~)
Breaks:
 extract (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (development)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the development files.

Package: libextractor-plugin-archive
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (archive plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin based on libarchive, supporting the following
 formats: TAR(.GZ), LZH, LHA, RAR, ZIP, CAB, 7-ZIP, AR, MTREE, PAX, CPIO,
 ISO9660, SHAR, RAW, and XAR.

Package: libextractor-plugin-av
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (libav plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugins based on libav.

Package: libextractor-plugin-exiv2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (exiv2 plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting exiv2 files.

Package: libextractor-plugin-flac
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (flac plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting flac files.

Package: libextractor-plugin-gif
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (gif plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting gif files.

Package: libextractor-plugin-gstreamer
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (GStreamer plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin based on GStreamer.

Package: libextractor-plugin-html
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (html plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting html files.

Package: libextractor-plugin-jpeg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (jpeg plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting jpeg files.

Package: libextractor-plugin-midi
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (midi plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting midi files.

Package: libextractor-plugin-mpeg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (mpeg plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting mpeg files.

Package: libextractor-plugin-ogg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (ogg plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting ogg files.

Package: libextractor-plugin-ole2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (ole2 plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting OLE2 (DOC, XLS, etc.) files.

Package: libextractor-plugin-pdf
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 poppler-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (pdf plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting pdf files.

Package: libextractor-plugin-rpm
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (rpm plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting rpm files.

Package: libextractor-plugin-thumbnailgtk
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (gdk pixbuf plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin producing image thumbnails with gdk pixbuf.

Package: libextractor-plugin-tiff
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libextractor3,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 libextractor-plugins
Replaces:
 libextractor3 (<< 1:1.9-4~)
Breaks:
 libextractor3 (<< 1:1.9-4~)
Description: extracts meta-data from files of arbitrary type (tiff plugin)
 GNU libextractor provides developers of file-sharing networks, file managers,
 and WWW-indexing bots with a universal library to obtain meta-data about files.
 .
 This package contains the plugin supporting tiff files.

Package: libextractor-plugins-all
Architecture: all
Multi-Arch: foreign
