=== debian/rules ===
#!/usr/bin/make -f

# Enabling all hardening flags as libextractor handles untrusted data
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

execute_after_dh_auto_clean:
	rm -f libextractor.pc libextractor.pc.in libextractor-uninstalled.pc libextractor-uninstalled.sh

execute_after_dh_auto_install:
	# Removing useless files
	rm -f debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/lib/*/libextractor/*.la
