=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libextractor-dev,
 pkg-config

Test-Command: ls src/plugins/testdata/* | grep -v exiv2_iptc.jpg | xargs extract -V -V
Depends:
 extract,
 libextractor-plugins-all
