## libextractor 1.13

=== debian/changelog ===
libextractor (1:1.13-9) unstable; urgency=medium

  * Adopt package (Closes: #1070308).
  * Fix branches name in gbp.conf.
  * Updated standard version to 4.7.2.
  * Fix ipc test fuzzy failure.
  * Fix g_type_class_add_private deprecated warning.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Thu, 18 Sep 2025 12:56:11 +0500

libextractor (1:1.13-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Use wrap-and-sort -at for debian control files.
  * Fix day-of-week for changelog entry 0.5.6a-1.
  * Remove field Section on binary packages
    libextractor-plugin-archive, libextractor-plugin-exiv2,
    libextractor-plugin-flac, libextractor-plugin-gif,
    libextractor-plugin-gstreamer, libextractor-plugin-html,
    libextractor-plugin-jpeg, libextractor-plugin-midi,
    libextractor-plugin-mpeg, libextractor-plugin-ogg,
    libextractor-plugin-ole2, libextractor-plugin-pdf,
    libextractor-plugin-rpm, libextractor-plugin-thumbnailgtk,
    libextractor-plugin-tiff, libextractor-plugins-all,
    libextractor-plugins-misc, libextractor3 that duplicates source.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 05 Dec 2024 07:20:22 +0100

libextractor (1:1.13-7) unstable; urgency=medium

  * QA upload.
  * Also switch autopkgtests from pkg-config to pkgconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Sep 2024 08:34:17 +0200

libextractor (1:1.13-6) unstable; urgency=medium

  * QA upload.
  * Backport the proposed patch from https://bugs.gnunet.org/view.php?id=9223
    to fix the Exiv2 extractor in case the loading fails; patch
    exiv2-path.diff.
  * Simplify/improve the extract autopkgtest:
    - stop skipping test_ipc.log, as it works fine now
    - allow allow-stderr, as some plugins may print warning messages on stderr

 -- Pino Toscano <pino@debian.org>  Tue, 24 Sep 2024 21:34:00 +0200

libextractor (1:1.13-5) unstable; urgency=medium

  * QA upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add build support for loongarch64 (Closes: #1072551)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Sep 2024 17:49:44 +0200

libextractor (1:1.13-4) unstable; urgency=medium

  * QA upload.
  * Enable the ELF plugin only on little endian architectures, as it does not
    seem work on big endian ones (see https://bugs.gnunet.org/view.php?id=8514):
    - add a --disable-elf configure switch, so that plugin can be disabled when
      needed; patch optional-elf.diff
    - pass --disable-elf on big endian architectures
    - add the dh-exec build dependency, and install the ELF plugin only on
      little endian architectures
    - enable the test suite also on s390x
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Backport the proposed patch from https://bugs.gnunet.org/view.php?id=8513
    to fix the Exiv2 tests so they work also with Exiv2 0.28+; patch
    exiv2-0.28.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 12 May 2024 10:42:50 +0200

libextractor (1:1.13-3) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 07 Feb 2024 06:50:30 +0100

libextractor (1:1.13-2) sid; urgency=medium

  * Uploading to sid.
  * Disabling test-suite on s390x for the time being.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 23 Jan 2024 07:12:51 +0100

libextractor (1:1.13-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1:1.13.
  * Tidying rules after upstreams ffmpeg plugin removal.
  * Adding revived elf and real plugins to libextractor-plugins-misc.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Dec 2023 11:04:18 +0100

libextractor (1:1.11-8) sid; urgency=medium

  * Uploading to sid.
  * Updating gdk-pixbuf build-depends (Closes: #1037387).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Jun 2023 13:08:07 +0200

libextractor (1:1.11-7) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:23:52 +0100

libextractor (1:1.11-6) sid; urgency=medium

  * Uploading to sid.
  * Updating packaging copyright for 2022.
  * Updating to standards version 4.6.1.
  * Building without ffmpeg as recommended by upstream until it has been
    updated to ffmpeg 5 (Closes: #1004625).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 23 Jun 2022 07:22:04 +0200

libextractor (1:1.11-5) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Building without deprecated libavresample plugins (Closes: #971331).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Aug 2021 22:17:04 +0200

libextractor (1:1.11-4) sid; urgency=medium

  * Uploading to sid.
  * Correcting mixup with Bertrands firstname in previous changelog entry.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:58:51 +0200

libextractor (1:1.11-3) experimental; urgency=medium

  * Uploading to experimental.
  * Consolidating my email address.
  * Updating to standards version 4.5.1.
  * Sorting control fields.
  * Repeating section in every package block of control for consistency.
  * Updating upstream-name in copyright.
  * Removing superfluous license in copyright.
  * Updating source in copyright.
  * Correcting formating of copyright lists.
  * Updating copyright for 2021.
  * Shortening debhelper install lines.
  * Correcting permissions on upstream signing-key.
  * Removing pre-bullseye breaks/replaces.
  * Wrap-and-sorting debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 07:44:56 +0100
