=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,19 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # Enabling all hardening flags as libextractor handles untrusted data
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+  CONFIGURE_ARGS += --disable-elf
+endif
+
 %:
 	dh ${@}
+
+override_dh_auto_configure:
+	dh_auto_configure -- ${CONFIGURE_ARGS}
 
 execute_after_dh_auto_clean:
 	rm -f libextractor.pc libextractor.pc.in libextractor-uninstalled.pc libextractor-uninstalled.sh
