=== debian/tests/control ===
Tests: build
Depends: build-essential,
         libextractor-dev,
         pkgconf,

Test-Command: extract -V -V src/plugins/testdata/*
Depends: extract,
         libextractor-plugins-all,
Restrictions: allow-stderr
